

#include "BUILTIN.h"

#include "Char.h"

#include "Nat.h"

#include "NatConv.h"

#include "CharConv.h"

#include "Int.h"

#include "Real.h"

#include "Denotation.h"
extern OBJ _ALatin1_1(OBJ);OBJ __ALatin1_1; /* lower? */
extern OBJ _ALatin1_2(OBJ);OBJ __ALatin1_2; /* upper? */
extern OBJ _ALatin1_3(OBJ);OBJ __ALatin1_3; /* control? */
extern OBJ _ALatin1_4(OBJ);OBJ __ALatin1_4; /* punctuation? */
extern OBJ _ALatin1_5(OBJ);OBJ __ALatin1_5; /* letter? */
extern OBJ _ALatin1_6(OBJ);OBJ __ALatin1_6; /* digit? */
extern OBJ _ALatin1_7(OBJ);OBJ __ALatin1_7; /* letgit? */
extern OBJ _ALatin1_8(OBJ);OBJ __ALatin1_8; /* space? */
extern OBJ _ALatin1_9(OBJ);OBJ __ALatin1_9; /* whitespace? */
extern OBJ _ALatin1_10(OBJ);OBJ __ALatin1_10; /* printable? */
extern OBJ _ALatin1_11(OBJ);OBJ __ALatin1_11; /* lower */
extern OBJ _ALatin1_12(OBJ);OBJ __ALatin1_12; /* upper */
OBJ __ALatin1_13; /* noBreakSpace */
OBJ __ALatin1_14; /* invertedExclamationMark */
OBJ __ALatin1_15; /* centSign */
OBJ __ALatin1_16; /* poundSign */
OBJ __ALatin1_17; /* currencySign */
OBJ __ALatin1_18; /* yenSign */
OBJ __ALatin1_19; /* brokenBar */
OBJ __ALatin1_20; /* paragraphSign */
OBJ __ALatin1_21; /* diaeresis */
OBJ __ALatin1_22; /* copyrightSign */
OBJ __ALatin1_23; /* feminineOrdinalIndicator */
OBJ __ALatin1_24; /* leftAngleQuotationMark */
OBJ __ALatin1_25; /* notSign */
OBJ __ALatin1_26; /* softHyphen */
OBJ __ALatin1_27; /* registeredTradeMarkSign */
OBJ __ALatin1_28; /* macron */
OBJ __ALatin1_29; /* degreeSign */
OBJ __ALatin1_30; /* plusMinusSign */
OBJ __ALatin1_31; /* superscriptTwo */
OBJ __ALatin1_32; /* superscriptThree */
OBJ __ALatin1_33; /* acuteAccent */
OBJ __ALatin1_34; /* microSign */
OBJ __ALatin1_35; /* pilcrowSign */
OBJ __ALatin1_36; /* middleDot */
OBJ __ALatin1_37; /* cedilla */
OBJ __ALatin1_38; /* superscriptOne */
OBJ __ALatin1_39; /* masculineOrdinalIndicator */
OBJ __ALatin1_40; /* rightAngleQuotationMark */
OBJ __ALatin1_41; /* vulgarFractionOneQuarter */
OBJ __ALatin1_42; /* vulgarFractionOneHalf */
OBJ __ALatin1_43; /* vulgarFractionThreeQuarters */
OBJ __ALatin1_44; /* invertedQuestionMark */
OBJ __ALatin1_45; /* Agrave */
OBJ __ALatin1_46; /* Aacute */
OBJ __ALatin1_47; /* Acircumflex */
OBJ __ALatin1_48; /* Atilde */
OBJ __ALatin1_49; /* Adiaeresis */
OBJ __ALatin1_50; /* AringAbove */
OBJ __ALatin1_51; /* AdiphtongE */
OBJ __ALatin1_52; /* Ccedilla */
OBJ __ALatin1_53; /* Egrave */
OBJ __ALatin1_54; /* Eacute */
OBJ __ALatin1_55; /* Ecircumflex */
OBJ __ALatin1_56; /* Ediaeresis */
OBJ __ALatin1_57; /* Igrave */
OBJ __ALatin1_58; /* Iacute */
OBJ __ALatin1_59; /* Icircumflex */
OBJ __ALatin1_60; /* Idiaeresis */
OBJ __ALatin1_61; /* Eth */
OBJ __ALatin1_62; /* Ntilde */
OBJ __ALatin1_63; /* Ograve */
OBJ __ALatin1_64; /* Oacute */
OBJ __ALatin1_65; /* Ocircumflex */
OBJ __ALatin1_66; /* Otilde */
OBJ __ALatin1_67; /* Odiaeresis */
OBJ __ALatin1_68; /* multiplicationSign */
OBJ __ALatin1_69; /* OobliqueStroke */
OBJ __ALatin1_70; /* Ugrave */
OBJ __ALatin1_71; /* Uacute */
OBJ __ALatin1_72; /* Ucircumflex */
OBJ __ALatin1_73; /* Udiaeresis */
OBJ __ALatin1_74; /* Yacute */
OBJ __ALatin1_75; /* Thorn */
OBJ __ALatin1_76; /* ssharp */
OBJ __ALatin1_77; /* agrave */
OBJ __ALatin1_78; /* aacute */
OBJ __ALatin1_79; /* acircumflex */
OBJ __ALatin1_80; /* atilde */
OBJ __ALatin1_81; /* adiaeresis */
OBJ __ALatin1_82; /* aringAbove */
OBJ __ALatin1_83; /* adiphthongE */
OBJ __ALatin1_84; /* ccedilla */
OBJ __ALatin1_85; /* egrave */
OBJ __ALatin1_86; /* eacute */
OBJ __ALatin1_87; /* ecircumflex */
OBJ __ALatin1_88; /* ediaeresis */
OBJ __ALatin1_89; /* igrave */
OBJ __ALatin1_90; /* iacute */
OBJ __ALatin1_91; /* icircumflex */
OBJ __ALatin1_92; /* idiaeresis */
OBJ __ALatin1_93; /* eth */
OBJ __ALatin1_94; /* ntilde */
OBJ __ALatin1_95; /* ograve */
OBJ __ALatin1_96; /* oacute */
OBJ __ALatin1_97; /* ocircumflex */
OBJ __ALatin1_98; /* otilde */
OBJ __ALatin1_99; /* odiaeresis */
OBJ __ALatin1_100; /* divisionSign */
OBJ __ALatin1_101; /* oobliqueStroke */
OBJ __ALatin1_102; /* ugrave */
OBJ __ALatin1_103; /* uacute */
OBJ __ALatin1_104; /* ucircumflex */
OBJ __ALatin1_105; /* udiaeresis */
OBJ __ALatin1_106; /* yacute */
OBJ __ALatin1_107; /* thorn */
OBJ __ALatin1_108; /* ydiaeresis */
extern OBJ _ALatin1_109(OBJ);OBJ __ALatin1_109; /* $ */
extern OBJ _ALatin1_110(OBJ);OBJ __ALatin1_110; /* control?'110 */

extern OBJ _ALatin1_1(OBJ x1) /* lower? */
{OBJ r;
 {OBJ x2;
  AChar_20(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;OBJ x4;
    AChar_16(x1,__ALatin1_76,x3);
    if(ISTGPRM(x3,1)){
     AChar_17(x1,__ALatin1_100,x4);
    }else{
     x4=__ABUILTIN_3;}
    if(ISTGPRM(x4,1)){
     r=__ABUILTIN_5;
    }else{
     AChar_18(x1,__ALatin1_100,r);}}}}
 return r;}

extern OBJ _ALatin1_2(OBJ x1) /* upper? */
{OBJ r;
 {OBJ x2;
  AChar_21(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;OBJ x4;
    AChar_16(x1,__ALatin1_45,x3);
    if(ISTGPRM(x3,1)){
     AChar_17(x1,__ALatin1_68,x4);
    }else{
     x4=__ABUILTIN_3;}
    if(ISTGPRM(x4,1)){
     r=__ABUILTIN_5;
    }else{
     {OBJ x5;
      AChar_18(x1,__ALatin1_68,x5);
      if(ISTGPRM(x5,1)){
       AChar_17(x1,__ALatin1_76,r);
      }else{
       r=__ABUILTIN_3;}}}}}}
 return r;}

extern OBJ _ALatin1_3(OBJ x1) /* control? */
{OBJ r;
 {OBJ x2;
  AChar_22(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   CPCLS(__ALatin1_110,1);
   {OBJ x3;OBJ x4;
    x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__ALatin1_110,1))(__ALatin1_110,__ABUILTIN_20);
    AChar_16(x1,x3,x4);
    if(ISTGPRM(x4,1)){
     AChar_17(x1,__ALatin1_13,r);
    }else{
     r=__ABUILTIN_3;}}}}
 return r;}

extern OBJ _ALatin1_4(OBJ x1) /* punctuation? */
{OBJ r;
 {OBJ x2;
  AChar_23(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;OBJ x4;
    AChar_16(x1,__ALatin1_14,x3);
    if(ISTGPRM(x3,1)){
     AChar_14(x1,__ALatin1_44,x4);
    }else{
     x4=__ABUILTIN_3;}
    if(ISTGPRM(x4,1)){
     r=__ABUILTIN_5;
    }else{
     {OBJ x5;
      AChar_15(x1,__ALatin1_68,x5);
      if(ISTGPRM(x5,1)){
       r=__ABUILTIN_5;
      }else{
       AChar_15(x1,__ALatin1_100,r);}}}}}}
 return r;}

extern OBJ _ALatin1_5(OBJ x1) /* letter? */
{OBJ r;
 {OBJ x2;
  x2=_ALatin1_1(x1);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   r=_ALatin1_2(x1);}}
 return r;}

extern OBJ _ALatin1_6(OBJ x1) /* digit? */
{OBJ r;
 AChar_25(x1,r);
 return r;}

extern OBJ _ALatin1_7(OBJ x1) /* letgit? */
{OBJ r;
 {OBJ x2;
  x2=_ALatin1_5(x1);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   AChar_25(x1,r);}}
 return r;}

extern OBJ _ALatin1_8(OBJ x1) /* space? */
{OBJ r;
 {OBJ x2;
  AChar_27(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   AChar_15(x1,__ALatin1_13,r);}}
 return r;}

extern OBJ _ALatin1_9(OBJ x1) /* whitespace? */
{OBJ r;
 {OBJ x2;
  AChar_28(x1,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   AChar_15(x1,__ALatin1_13,r);}}
 return r;}

extern OBJ _ALatin1_10(OBJ x1) /* printable? */
{OBJ r;
 {OBJ x2;
  AChar_15(x1,__AChar_8,x2);
  if(ISTGPRM(x2,1)){
   r=__ABUILTIN_5;
  }else{
   {OBJ x3;
    x3=_ALatin1_7(x1);
    if(ISTGPRM(x3,1)){
     r=__ABUILTIN_5;
    }else{
     r=_ALatin1_4(x1);}}}}
 return r;}

extern OBJ _ALatin1_11(OBJ x1) /* lower */
{OBJ r;
 {OBJ x2;
  x2=_ALatin1_2(x1);
  if(ISTGPRM(x2,1)){
   {OBJ x3;OBJ x4;
    ACharConv_2(x1,x3);
    ANat_61(x3,__ANat_39,x4);
    ANatConv_2(x4,r);}
  }else{
   r=x1;}}
 return r;}

extern OBJ _ALatin1_12(OBJ x1) /* upper */
{OBJ r;
 {OBJ x2;
  AChar_15(x1,__ALatin1_76,x2);
  if(ISTGPRM(x2,1)){
   r=x1;
  }else{
   {OBJ x3;
    AChar_15(x1,__ALatin1_108,x3);
    if(ISTGPRM(x3,1)){
     r=x1;
    }else{
     {OBJ x4;
      x4=_ALatin1_1(x1);
      if(ISTGPRM(x4,1)){
       {OBJ x5;OBJ x6;
	ACharConv_2(x1,x5);
	ANat_62(x5,__ANat_39,x6);
	ANatConv_2(x6,r);}
      }else{
       r=x1;}}}}}}
 return r;}

extern OBJ _ALatin1_109(OBJ x1) /* $ */
{OBJ r;
 {OBJ x2;
  x2=inline_opal_nat(x1);
  ANatConv_2(x2,r);}
 return r;}

extern OBJ _ALatin1_110(OBJ x1) /* control?'110 */
{OBJ r;
 ANatConv_2(__ANat_47,r);
 return r;}

static void ___ALatin1_13()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(160));
  ANatConv_2(x1,__ALatin1_13);}}

static void ___ALatin1_14()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(161));
  ANatConv_2(x1,__ALatin1_14);}}

static void ___ALatin1_15()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(162));
  ANatConv_2(x1,__ALatin1_15);}}

static void ___ALatin1_16()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(163));
  ANatConv_2(x1,__ALatin1_16);}}

static void ___ALatin1_17()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(164));
  ANatConv_2(x1,__ALatin1_17);}}

static void ___ALatin1_18()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(165));
  ANatConv_2(x1,__ALatin1_18);}}

static void ___ALatin1_19()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(166));
  ANatConv_2(x1,__ALatin1_19);}}

static void ___ALatin1_20()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(167));
  ANatConv_2(x1,__ALatin1_20);}}

static void ___ALatin1_21()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(168));
  ANatConv_2(x1,__ALatin1_21);}}

static void ___ALatin1_22()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(169));
  ANatConv_2(x1,__ALatin1_22);}}

static void ___ALatin1_23()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(170));
  ANatConv_2(x1,__ALatin1_23);}}

static void ___ALatin1_24()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(171));
  ANatConv_2(x1,__ALatin1_24);}}

static void ___ALatin1_25()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(172));
  ANatConv_2(x1,__ALatin1_25);}}

static void ___ALatin1_26()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(173));
  ANatConv_2(x1,__ALatin1_26);}}

static void ___ALatin1_27()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(174));
  ANatConv_2(x1,__ALatin1_27);}}

static void ___ALatin1_28()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(175));
  ANatConv_2(x1,__ALatin1_28);}}

static void ___ALatin1_29()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(176));
  ANatConv_2(x1,__ALatin1_29);}}

static void ___ALatin1_30()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(177));
  ANatConv_2(x1,__ALatin1_30);}}

static void ___ALatin1_31()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(178));
  ANatConv_2(x1,__ALatin1_31);}}

static void ___ALatin1_32()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(179));
  ANatConv_2(x1,__ALatin1_32);}}

static void ___ALatin1_33()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(180));
  ANatConv_2(x1,__ALatin1_33);}}

static void ___ALatin1_34()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(181));
  ANatConv_2(x1,__ALatin1_34);}}

static void ___ALatin1_35()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(182));
  ANatConv_2(x1,__ALatin1_35);}}

static void ___ALatin1_36()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(183));
  ANatConv_2(x1,__ALatin1_36);}}

static void ___ALatin1_37()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(184));
  ANatConv_2(x1,__ALatin1_37);}}

static void ___ALatin1_38()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(185));
  ANatConv_2(x1,__ALatin1_38);}}

static void ___ALatin1_39()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(186));
  ANatConv_2(x1,__ALatin1_39);}}

static void ___ALatin1_40()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(187));
  ANatConv_2(x1,__ALatin1_40);}}

static void ___ALatin1_41()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(188));
  ANatConv_2(x1,__ALatin1_41);}}

static void ___ALatin1_42()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(189));
  ANatConv_2(x1,__ALatin1_42);}}

static void ___ALatin1_43()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(190));
  ANatConv_2(x1,__ALatin1_43);}}

static void ___ALatin1_44()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(191));
  ANatConv_2(x1,__ALatin1_44);}}

static void ___ALatin1_45()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(192));
  ANatConv_2(x1,__ALatin1_45);}}

static void ___ALatin1_46()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(193));
  ANatConv_2(x1,__ALatin1_46);}}

static void ___ALatin1_47()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(194));
  ANatConv_2(x1,__ALatin1_47);}}

static void ___ALatin1_48()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(195));
  ANatConv_2(x1,__ALatin1_48);}}

static void ___ALatin1_49()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(196));
  ANatConv_2(x1,__ALatin1_49);}}

static void ___ALatin1_50()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(197));
  ANatConv_2(x1,__ALatin1_50);}}

static void ___ALatin1_51()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(198));
  ANatConv_2(x1,__ALatin1_51);}}

static void ___ALatin1_52()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(199));
  ANatConv_2(x1,__ALatin1_52);}}

static void ___ALatin1_53()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(200));
  ANatConv_2(x1,__ALatin1_53);}}

static void ___ALatin1_54()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(201));
  ANatConv_2(x1,__ALatin1_54);}}

static void ___ALatin1_55()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(202));
  ANatConv_2(x1,__ALatin1_55);}}

static void ___ALatin1_56()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(203));
  ANatConv_2(x1,__ALatin1_56);}}

static void ___ALatin1_57()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(204));
  ANatConv_2(x1,__ALatin1_57);}}

static void ___ALatin1_58()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(205));
  ANatConv_2(x1,__ALatin1_58);}}

static void ___ALatin1_59()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(206));
  ANatConv_2(x1,__ALatin1_59);}}

static void ___ALatin1_60()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(207));
  ANatConv_2(x1,__ALatin1_60);}}

static void ___ALatin1_61()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(208));
  ANatConv_2(x1,__ALatin1_61);}}

static void ___ALatin1_62()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(209));
  ANatConv_2(x1,__ALatin1_62);}}

static void ___ALatin1_63()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(210));
  ANatConv_2(x1,__ALatin1_63);}}

static void ___ALatin1_64()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(211));
  ANatConv_2(x1,__ALatin1_64);}}

static void ___ALatin1_65()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(212));
  ANatConv_2(x1,__ALatin1_65);}}

static void ___ALatin1_66()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(213));
  ANatConv_2(x1,__ALatin1_66);}}

static void ___ALatin1_67()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(214));
  ANatConv_2(x1,__ALatin1_67);}}

static void ___ALatin1_68()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(215));
  ANatConv_2(x1,__ALatin1_68);}}

static void ___ALatin1_69()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(216));
  ANatConv_2(x1,__ALatin1_69);}}

static void ___ALatin1_70()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(217));
  ANatConv_2(x1,__ALatin1_70);}}

static void ___ALatin1_71()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(218));
  ANatConv_2(x1,__ALatin1_71);}}

static void ___ALatin1_72()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(219));
  ANatConv_2(x1,__ALatin1_72);}}

static void ___ALatin1_73()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(220));
  ANatConv_2(x1,__ALatin1_73);}}

static void ___ALatin1_74()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(221));
  ANatConv_2(x1,__ALatin1_74);}}

static void ___ALatin1_75()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(222));
  ANatConv_2(x1,__ALatin1_75);}}

static void ___ALatin1_76()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(223));
  ANatConv_2(x1,__ALatin1_76);}}

static void ___ALatin1_77()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(224));
  ANatConv_2(x1,__ALatin1_77);}}

static void ___ALatin1_78()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(225));
  ANatConv_2(x1,__ALatin1_78);}}

static void ___ALatin1_79()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(226));
  ANatConv_2(x1,__ALatin1_79);}}

static void ___ALatin1_80()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(227));
  ANatConv_2(x1,__ALatin1_80);}}

static void ___ALatin1_81()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(228));
  ANatConv_2(x1,__ALatin1_81);}}

static void ___ALatin1_82()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(229));
  ANatConv_2(x1,__ALatin1_82);}}

static void ___ALatin1_83()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(230));
  ANatConv_2(x1,__ALatin1_83);}}

static void ___ALatin1_84()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(231));
  ANatConv_2(x1,__ALatin1_84);}}

static void ___ALatin1_85()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(232));
  ANatConv_2(x1,__ALatin1_85);}}

static void ___ALatin1_86()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(233));
  ANatConv_2(x1,__ALatin1_86);}}

static void ___ALatin1_87()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(234));
  ANatConv_2(x1,__ALatin1_87);}}

static void ___ALatin1_88()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(235));
  ANatConv_2(x1,__ALatin1_88);}}

static void ___ALatin1_89()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(236));
  ANatConv_2(x1,__ALatin1_89);}}

static void ___ALatin1_90()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(237));
  ANatConv_2(x1,__ALatin1_90);}}

static void ___ALatin1_91()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(238));
  ANatConv_2(x1,__ALatin1_91);}}

static void ___ALatin1_92()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(239));
  ANatConv_2(x1,__ALatin1_92);}}

static void ___ALatin1_93()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(240));
  ANatConv_2(x1,__ALatin1_93);}}

static void ___ALatin1_94()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(241));
  ANatConv_2(x1,__ALatin1_94);}}

static void ___ALatin1_95()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(242));
  ANatConv_2(x1,__ALatin1_95);}}

static void ___ALatin1_96()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(243));
  ANatConv_2(x1,__ALatin1_96);}}

static void ___ALatin1_97()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(244));
  ANatConv_2(x1,__ALatin1_97);}}

static void ___ALatin1_98()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(245));
  ANatConv_2(x1,__ALatin1_98);}}

static void ___ALatin1_99()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(246));
  ANatConv_2(x1,__ALatin1_99);}}

static void ___ALatin1_100()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(247));
  ANatConv_2(x1,__ALatin1_100);}}

static void ___ALatin1_101()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(248));
  ANatConv_2(x1,__ALatin1_101);}}

static void ___ALatin1_102()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(249));
  ANatConv_2(x1,__ALatin1_102);}}

static void ___ALatin1_103()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(250));
  ANatConv_2(x1,__ALatin1_103);}}

static void ___ALatin1_104()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(251));
  ANatConv_2(x1,__ALatin1_104);}}

static void ___ALatin1_105()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(252));
  ANatConv_2(x1,__ALatin1_105);}}

static void ___ALatin1_106()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(253));
  ANatConv_2(x1,__ALatin1_106);}}

static void ___ALatin1_107()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(254));
  ANatConv_2(x1,__ALatin1_107);}}

static void ___ALatin1_108()
{
 {OBJ x1;
  x1=inline_c_nat((NAT)(255));
  ANatConv_2(x1,__ALatin1_108);}}

init_ALatin1()
{
 static int visited=0; if(visited) return; visited=1;
 init_AChar();
 init_ANat();
 init_ANatConv();
 init_ACharConv();
 init_AInt();
 init_AReal();
 init_ADenotation();
 LCLS(1,_ALatin1_110,__ALatin1_110);
 CLS(1,_ALatin1_109,__ALatin1_109);
 CLS(1,_ALatin1_12,__ALatin1_12);
 CLS(1,_ALatin1_11,__ALatin1_11);
 CLS(1,_ALatin1_10,__ALatin1_10);
 CLS(1,_ALatin1_9,__ALatin1_9);
 CLS(1,_ALatin1_8,__ALatin1_8);
 CLS(1,_ALatin1_7,__ALatin1_7);
 CLS(1,_ALatin1_6,__ALatin1_6);
 CLS(1,_ALatin1_5,__ALatin1_5);
 CLS(1,_ALatin1_4,__ALatin1_4);
 CLS(1,_ALatin1_3,__ALatin1_3);
 CLS(1,_ALatin1_2,__ALatin1_2);
 CLS(1,_ALatin1_1,__ALatin1_1);
 ___ALatin1_13();
 ___ALatin1_14();
 ___ALatin1_15();
 ___ALatin1_16();
 ___ALatin1_17();
 ___ALatin1_18();
 ___ALatin1_19();
 ___ALatin1_20();
 ___ALatin1_21();
 ___ALatin1_22();
 ___ALatin1_23();
 ___ALatin1_24();
 ___ALatin1_25();
 ___ALatin1_26();
 ___ALatin1_27();
 ___ALatin1_28();
 ___ALatin1_29();
 ___ALatin1_30();
 ___ALatin1_31();
 ___ALatin1_32();
 ___ALatin1_33();
 ___ALatin1_34();
 ___ALatin1_35();
 ___ALatin1_36();
 ___ALatin1_37();
 ___ALatin1_38();
 ___ALatin1_39();
 ___ALatin1_40();
 ___ALatin1_41();
 ___ALatin1_42();
 ___ALatin1_43();
 ___ALatin1_44();
 ___ALatin1_45();
 ___ALatin1_46();
 ___ALatin1_47();
 ___ALatin1_48();
 ___ALatin1_49();
 ___ALatin1_50();
 ___ALatin1_51();
 ___ALatin1_52();
 ___ALatin1_53();
 ___ALatin1_54();
 ___ALatin1_55();
 ___ALatin1_56();
 ___ALatin1_57();
 ___ALatin1_58();
 ___ALatin1_59();
 ___ALatin1_60();
 ___ALatin1_61();
 ___ALatin1_62();
 ___ALatin1_63();
 ___ALatin1_64();
 ___ALatin1_65();
 ___ALatin1_66();
 ___ALatin1_67();
 ___ALatin1_68();
 ___ALatin1_69();
 ___ALatin1_70();
 ___ALatin1_71();
 ___ALatin1_72();
 ___ALatin1_73();
 ___ALatin1_74();
 ___ALatin1_75();
 ___ALatin1_76();
 ___ALatin1_77();
 ___ALatin1_78();
 ___ALatin1_79();
 ___ALatin1_80();
 ___ALatin1_81();
 ___ALatin1_82();
 ___ALatin1_83();
 ___ALatin1_84();
 ___ALatin1_85();
 ___ALatin1_86();
 ___ALatin1_87();
 ___ALatin1_88();
 ___ALatin1_89();
 ___ALatin1_90();
 ___ALatin1_91();
 ___ALatin1_92();
 ___ALatin1_93();
 ___ALatin1_94();
 ___ALatin1_95();
 ___ALatin1_96();
 ___ALatin1_97();
 ___ALatin1_98();
 ___ALatin1_99();
 ___ALatin1_100();
 ___ALatin1_101();
 ___ALatin1_102();
 ___ALatin1_103();
 ___ALatin1_104();
 ___ALatin1_105();
 ___ALatin1_106();
 ___ALatin1_107();
 ___ALatin1_108();}

